Bug 1795609 - glusterfsd memory leak observed after enable tls
Summary: glusterfsd memory leak observed after enable tls
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: GlusterFS
Classification: Community
Component: rpc
Version: 6
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On: 1768339 1768407 1804515
Blocks: 1785577
TreeView+ depends on / blocked
 
Reported: 2020-01-28 12:56 UTC by Mohit Agrawal
Modified: 2020-03-12 13:26 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1768407
Environment:
Last Closed: 2020-03-12 13:26:02 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gluster.org Gerrit 24074 None Open rpc: Cleanup SSL specific data at the time of freeing rpc object 2020-01-28 13:00:08 UTC

Description Mohit Agrawal 2020-01-28 12:56:46 UTC
+++ This bug was initially created as a clone of Bug #1768407 +++

+++ This bug was initially created as a clone of Bug #1768339 +++

Description of problem:

glusterfsd process memory leak dramatically after enable tls
Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.while true; do gluster v heal <vol-name> info;done
2.top to observe glusterfsd memory usage
3.memory usage increase steadily

Actual results:

memory increase until oom
Expected results:


Additional info:

--- Additional comment from Worker Ant on 2019-11-04 11:30:46 UTC ---

REVIEW: https://review.gluster.org/23650 (rpc: Cleanup SSL specific data at the time of freeing rpc object) posted (#4) for review on master by MOHIT AGRAWAL

--- Additional comment from Worker Ant on 2019-11-08 01:32:07 UTC ---

REVIEW: https://review.gluster.org/23650 (rpc: Cleanup SSL specific data at the time of freeing rpc object) merged (#5) on master by Raghavendra G

--- Additional comment from Xavi Hernandez on 2020-01-27 10:52:38 UTC ---

Comment 1 Worker Ant 2020-01-28 13:00:10 UTC
REVIEW: https://review.gluster.org/24074 (rpc: Cleanup SSL specific data at the time of freeing rpc object) posted (#1) for review on release-6 by MOHIT AGRAWAL

Comment 2 Worker Ant 2020-03-12 13:26:02 UTC
This bug is moved to https://github.com/gluster/glusterfs/issues/1016, and will be tracked there from now on. Visit GitHub issues URL for further details


Note You need to log in before you can comment on or make changes to this bug.